import 'package:flutter_bloc/flutter_bloc.dart'; 

part 'progress_event.dart';
part 'progress_state.dart';

class ProgressBloc extends Bloc<ProgressEvent, ProgressState> {
  ProgressBloc() : super(ProgressState(progress: {})) {
    on<ProgressUpdateEvent>(_onUpdate);
  }

  _onUpdate(ProgressUpdateEvent event, Emitter<ProgressState> emit) {
    emit(state.update(progress: event.progress));
  }
}
