class BrPlaceFilterModel {
  String? id;
  String? name;
  int? is3Values;
  String? icon;
  String? display;
  double value = 0.0;

  BrPlaceFilterModel({this.id, this.name, this.is3Values, this.icon, this.display});

  BrPlaceFilterModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is String) this.id = json["id"];
    if (json["name"] is String) this.name = json["name"];
    if (json["value"] is int) this.value = (json["value"] as int).toDouble();
    if (json["is3Values"] is int) this.is3Values = json["is3Values"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["name"] = this.name;
    data["value"] = this.value;
    data["is3Values"] = this.is3Values;
    return data;
  }
}
