
class CalmSubscriber {
  int? id;
  String? nickName;
  String? thumbnail;

  CalmSubscriber({this.id, this.nickName, this.thumbnail});

  CalmSubscriber.fromJson(Map<String, dynamic> json) {
    if(json["id"] is int)
      this.id = json["id"];
    if(json["nickName"] is String)
      this.nickName = json["nickName"];
    if(json["thumbnail"] is String)
      this.thumbnail = json["thumbnail"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["nickName"] = this.nickName;
    data["thumbnail"] = this.thumbnail;
    return data;
  }
}