class DashboardInfo {
  String? dashboardRef;
  String? dashboardLabel;
  String? featureLabel;
  String? featureRef;

  DashboardInfo(
      {this.dashboardRef,
      this.dashboardLabel,
      this.featureLabel,
      this.featureRef});

  DashboardInfo.fromJson(Map<String, dynamic> json) {
    if (json["dashboardRef"] is String)
      this.dashboardRef = json["dashboardRef"];
    if (json["dashboardLabel"] is String)
      this.dashboardLabel = json["dashboardLabel"];
    if (json["featureLabel"] is String)
      this.featureLabel = json["featureLabel"];
    if (json["featureRef"] is String) this.featureRef = json["featureRef"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["dashboardRef"] = this.dashboardRef;
    data["dashboardLabel"] = this.dashboardLabel;
    data["featureLabel"] = this.featureLabel;
    data["featureRef"] = this.featureRef;
    return data;
  }
}
