class CodeModel {
  int? id;
  String? code;
  int? activ;
  String? label;
  int? createdAt;
  int? accessType;
  int? digicodeId;
  int? accessCounter;
  String? uniqueId;
  int? timeStart;
  int? timeStop;
  String? accessTypeLabel;

  CodeModel(
      {this.id,
      this.code,
      this.activ,
      this.label,
      this.createdAt,
      this.accessType,
      this.digicodeId,
      this.accessCounter,
      this.uniqueId,
      this.timeStart,
      this.timeStop,
      this.accessTypeLabel});

  CodeModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) this.id = json["id"];
    if (json["code"] is String) this.code = json["code"];
    if (json["activ"] is int) this.activ = json["activ"];
    if (json["label"] is String) this.label = json["label"];
    if (json["createdAt"] is int) this.createdAt = json["createdAt"];
    if (json["accessType"] is int) this.accessType = json["accessType"];
    if (json["digicodeId"] is int) this.digicodeId = json["digicodeId"];
    if (json["accessCounter"] is int)
      this.accessCounter = json["accessCounter"];
    if (json["uniqueId"] is String) this.uniqueId = json["uniqueId"];
    if (json["timeStart"] is int) this.timeStart = json["timeStart"];
    if (json["timeStop"] is int) this.timeStop = json["timeStop"];
    if (json["accessTypeLabel"] is String)
      this.accessTypeLabel = json["accessTypeLabel"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["code"] = this.code;
    data["activ"] = this.activ;
    data["label"] = this.label;
    data["createdAt"] = this.createdAt;
    data["accessType"] = this.accessType;
    data["digicodeId"] = this.digicodeId;
    data["accessCounter"] = this.accessCounter;
    data["uniqueId"] = this.uniqueId;
    data["timeStart"] = this.timeStart;
    data["timeStop"] = this.timeStop;
    data["accessTypeLabel"] = this.accessTypeLabel;
    return data;
  }
}
