class LanguageModel {
  late String language;
  late String code;
  late String flagCode;
  bool select = false;

  LanguageModel({
    required this.language,
    required this.code,
    required this.flagCode,
  });

  LanguageModel.fromJson(Map<String, dynamic> json) {
    language = json['language'];
    code = json['code'];
    flagCode = json['flagCode'] ?? '';
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['language'] = this.language;
    data['code'] = this.code;
    data['flagCode'] = this.flagCode;
    return data;
  }
}
