class MainCatModel {
  late String catName;
  late String maincatTranslation;
  late int id;
  bool select = false;
  String? pictureUrl;
  late String colorCode;
  late String colorCode2;

  MainCatModel(
      {required this.id,
      required this.catName,
      required this.maincatTranslation,
      this.select = false,
      this.pictureUrl,
      required this.colorCode,
      required this.colorCode2});

  MainCatModel.fromJson(Map<String, dynamic> json) {
    catName = json['catName'];
    maincatTranslation = json['maincatTranslation'] ?? '';
    id = json['id'];
    pictureUrl = json['pictureUrl'];
    colorCode = json['colorCode'] ?? 'FFFFFF';
    colorCode2 = json['colorCode2'] ?? 'FFFFFF';
  }

  MainCatModel.empty() {
    maincatTranslation = '';
    id = 0;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['catName'] = this.catName;
    data['maincatTranslation'] = this.maincatTranslation;
    data['id'] = this.id;
    data['pictureUrl'] = this.pictureUrl;
    data['colorCode'] = this.colorCode;
    data['colorCode2'] = this.colorCode2;
    return data;
  }
}
