/// id : 0
/// productCat : "string"
/// color : "string"

class ProductCategory {
  int? id;
  String? productCat;
  String? color;

  ProductCategory({
      this.id, 
      this.productCat, 
      this.color});

  ProductCategory.fromJson(dynamic json) {
    id = json['id'];
    productCat = json['productCat'];
    color = json['color'];
  }

  Map<String, dynamic> toJson() {
    var map = <String, dynamic>{};
    map['id'] = id;
    map['productCat'] = productCat;
    map['color'] = color;
    return map;
  }

}