import 'package:oowoo_core/network_resources/model/model.dart';
import '../resources.dart';

class ReviewRepo {
  ReviewRepo._();

  static ReviewRepo? _instance;

  factory ReviewRepo([AppApi? api]) {
    _instance ??= ReviewRepo._();
    _instance!._api = api ?? AppApiImp();
    return _instance!;
  }

  late AppApi _api;

  Future<List<ReviewModel>> getReviewsFromPro(proId) async {
    NetworkResponse response = await _api.getReviewsFromPro(proId);
    return response.data ?? [];
  }
}
