import '../resources.dart';

class VimeoRepo {
  VimeoRepo._();

  static VimeoRepo? _instance;

  factory VimeoRepo() {
    _instance ??= VimeoRepo._();
    return _instance!;
  }

  final AppApiImp _api = AppApiImp();

  Future<VimeoConfig?> getVideoConfigFromPlayerVimeo(vimeoId) async {
    NetworkResponse response =
        await _api.getVideoConfigFromPlayerVimeo(vimeoId);
    return response.data;
  }
}
