import 'dart:io';

import 'package:firebase_core/firebase_core.dart';
import 'package:flutter/material.dart';

import '../oowoo_core.dart';
import 'oowoo_config.dart';
import 'package:get/get.dart';

String get oowoobaseUrl => OOWOOConfig.of(Get.context!).baseUrl;
String get oowoobaseUrlHomelido => OOWOOConfig.of(Get.context!).baseUrlHomelido;
String get oowoobaseUrlGeotracking =>
    OOWOOConfig.of(Get.context!).baseUrlGeotracking;
String get oowoomqttUrl => OOWOOConfig.of(Get.context!).mqttUrl;
int get oowoomqttPort => OOWOOConfig.of(Get.context!).mqttPort;

List<Locale> get oowoosupportedlocale =>
    OOWOOConfig.of(Get.context!).supportedlocale;

dynamic get appPrefs =>
    Get.context == null ? null : OOWOOConfig.of(Get.context!).appPrefs;
dynamic get appColors =>
    Get.context == null ? null : OOWOOConfig.of(Get.context!).appColors;
bool get isUserVersion => OOWOOConfig.of(Get.context!).isUserVersion ?? true;
dynamic get onAfterLogin => OOWOOConfig.of(Get.context!).onAfterLogin;
dynamic get mainColor =>
    Get.context == null ? null : OOWOOConfig.of(Get.context!).mainColor;

Color authMainColor = hexColor('#171719');

Future<File?> Function(
        {TakeFileType fileType, TakeFileTypeAllow fileTypeAllow})?
    get takeFile => OOWOOConfig.of(Get.context!).takeFile;
dynamic get googleApiKey => OOWOOConfig.of(Get.context!).googleApiKey;
dynamic get vapidKey => OOWOOConfig.of(Get.context!).vapidKey;
FirebaseOptions? get firebaseOptions =>
    OOWOOConfig.of(Get.context!).firebaseOptions;
