class Country {
  final String? printableName;
  final int? numcode;
  final int? available;
  final String? name;
  final String? iso3;
  final String? iso;

  bool select = false;

  Country({
    this.printableName,
    this.numcode,
    this.available,
    this.name,
    this.iso3,
    this.iso,
  });

  factory Country.fromJson(Map<String, dynamic> json) => _$CountryFromJson(json);

  Map<String, dynamic> toJson() => _$CountryToJson(this);

  @override
  List<Object?> get props => [
        printableName,
        numcode,
        available,
        name,
        iso3,
        iso,
      ];
}

Country _$CountryFromJson(Map<String, dynamic> json) {
  return Country(
    printableName: json['printableName'] as String?,
    numcode: json['numcode'] as int?,
    available: json['available'] as int?,
    name: json['name'] as String?,
    iso3: json['iso3'] as String?,
    iso: json['iso'] as String?,
  );
}

Map<String, dynamic> _$CountryToJson(Country instance) => <String, dynamic>{
      'printableName': instance.printableName,
      'numcode': instance.numcode,
      'available': instance.available,
      'name': instance.name,
      'iso3': instance.iso3,
      'iso': instance.iso,
    };
