class LoginSession {
  String? id;
  int? loginAttemptAt;
  int? loginSuccessAt;
  int? allowPrivacyType;
  int? platformId;
  String? platformLabel;
  int? logoutAt;
  int? revokedAt;

  LoginSession(
      {this.id,
      this.loginAttemptAt,
      this.loginSuccessAt,
      this.allowPrivacyType,
      this.platformId,
      this.platformLabel,
      this.logoutAt,
      this.revokedAt});

  LoginSession.fromJson(Map<String, dynamic> json) {
    if (json["id"] is String) this.id = json["id"];
    if (json["loginAttemptAt"] is int)
      this.loginAttemptAt = json["loginAttemptAt"];
    if (json["loginSuccessAt"] is int)
      this.loginSuccessAt = json["loginSuccessAt"];
    if (json["allowPrivacyType"] is int)
      this.allowPrivacyType = json["allowPrivacyType"];
    if (json["platformId"] is int) this.platformId = json["platformId"];
    if (json["platformLabel"] is String)
      this.platformLabel = json["platformLabel"];
    if (json["logoutAt"] is int) this.logoutAt = json["logoutAt"];
    if (json["revokedAt"] is int) this.revokedAt = json["revokedAt"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["loginAttemptAt"] = this.loginAttemptAt;
    data["loginSuccessAt"] = this.loginSuccessAt;
    data["allowPrivacyType"] = this.allowPrivacyType;
    data["platformId"] = this.platformId;
    data["platformLabel"] = this.platformLabel;
    data["logoutAt"] = this.logoutAt;
    data["revokedAt"] = this.revokedAt;
    return data;
  }
}
