import 'oowoo_core.dart';
import 'network_resources/model/model.dart';

const String APP_NAME = 'oowoo';
const String FIREBASE_WEB_PUSH_CERTIFICATES =
    'BAaHoayvwyNxLKqr6BOgyjglfvTwMbfZAAbDR1q7CeR5FesmiCrr56O_4M5c1jPb1oiVa5Z7ysH-3vrmoh6T3AQ';
const String FIREBASE_SERVER_API =
    'AAAA-i9Fkdo:APA91bFrYYIosL9CUhpcHCUFmwK_O9tvYwVwmQCstwrNyEU8w7LrsfRBQ3vUrGSnW8ZSATuM52Dj7iETAaXjNuddImG4BibSWY4o-vxAd3Ex_UCbGlgEvAstBbAvCuY-9dUm1m4ab30k';
const String BEARER = 'Bearer ';
const String WEATHER_API_KEY = '579105c575454124bc3151940211810';
const String PEXEL_API_KEY =
    '563492ad6f91700001000001295781240f2a499bad37efa50e153c35';
const String AGORA_APP_ID = 'bc01ad340e5043cb861f14095041d173';
const GIPHY_API_KEY = 'Qr0PSBcmLzR0J9pzwNWXqdFZ9lRS7k3f';

/// Key Stripe demo
const String STRIPE_PUBLISH_KEY = 'pk_test_NBiYHQnq6FAUJJqJ6upi5NT900e9ZPJCJI';
const String STRIPE_SECRET_KEY = 'sk_test_zejkzYinZNf64ZFVTLPNybkS00gn6uQFwY';

const LIMIT_MESSAGES_PERPAGE = 25;
const CHAT_STATUS_WAITING_CONFIRM = 1;
const CHAT_STATUS_NORMAL = 2;

///SOCKET LOCATION TRACKER
const String LOCATION_TRACKER_TYPE_USER = "user";
const String LOCATION_TRACKER_TYPE_PRO = "pro";

const String LOCATION_TRACKER_EMIT = 'location_updating';
const String LOCATION_TRACKING_STATE_EMIT = 'tracking_state_updating';

const String LOCATION_TRACKER_FIREBASE_ID = "firebaseId";
const String LOCATION_TRACKER_USER_TYPE = "userType";
const String LOCATION_TRACKER_STATUS = "status";
const String LOCATION_TRACKER_DATA = "data";
const String LOCATION_TRACKER_LAT = "lat";
const String LOCATION_TRACKER_LNG = "lng";

//DB
const String C_USERS = "users";
const String C_PROS = "pros";
const String C_MESSAGES = "messages";
const String C_CONTACTS = "contacts";
const String C_CONVERSATIONS = "conversations";
const String C_CONNECTION_STATUS = "connections_status";
const String C_CALLS = 'calls';
const String C_CALL_STATES = 'call_states';

const String CS_CALLING = 'calling';
const String CS_CANCELLED = 'cancelled';
const String CS_REJECTED = 'rejected';
const String CS_ENDED = 'ended';
const String CS_PICKED = 'picked';

const String DB_KEY_TIMESTAMP = 'timestamp';
const String DB_KEY_CONTENT = 'content';
const String DB_KEY_CONTENT_URL = 'contentUrl';
const String DB_KEY_CONTENT_FILE_INFOS = 'contentFileInfos';
const String DB_KEY_FILE_EXT = 'ext';
const String DB_KEY_FILE_FILE_NAME = 'fileName';
const String DB_KEY_FILE_MIME = 'mime';
const String DB_KEY_FILE_DURATION = 'duration';
const String DB_KEY_FROM = 'from'; 
const String DB_KEY_CHAT_STATUS = 'chatStatus';
const String DB_KEY_CHATID = 'chatId';
const String DB_KEY_MESSAGE_TYPE = 'messageType';
const String DB_KEY_USER_TYPE = 'userType';
const String DB_KEY_LAST_MESSAGE_TIME = 'lastMessageTime';
const String DB_KEY_STATUS = 'status';
const String DB_KEY_PICKED_AT = 'pickedAt';
const String DB_KEY_END_AT = 'endAt';
const String DB_KEY_CALL_INFO = 'callInfo';
const String DB_KEY_REACTIONS = 'reactions';
const String DB_KEY_IS_REPLY = 'isReply';
const String DB_KEY_IS_EDITTED = 'isEditted';
const String DB_KEY_REPLY_DOC = 'replyDoc';
const String DB_KEY_CUSTOM_DATA = 'customData';
const String DB_KEY_MEMBERS = 'members';
const String DB_KEY_MEMBERS_DETAIL = 'membersDetail';
const String DB_KEY_CONVERSATION_ID = 'conversationId';
const String DB_KEY_CONVERSATION_TYPE = 'conversationType';
const String CONVERSATION_TYPE_SOLO = 'solo';
const String CONVERSATION_TYPE_GROUP = 'group';
const String DB_KEY_FIREBASE_ID = "firebaseId";
const String DB_KEY_THUMBNAIL = 'thumbnail';
const String DB_KEY_GROUP_NAME = 'groupName';
const String DB_KEY_ENCRYPT_KEY = 'encryptKey';
const String DB_KEY_PERSONAL = 'personal'; 
const String DB_KEY_CONVERSATION = 'conversation';
const String DB_KEY_MUTED = 'muted';
const String DB_KEY_BLOCKED = 'blocked';
// const String DB_KEY_ = '';
// const String DB_KEY_ = '';
// const String DB_KEY_ = '';
// const String DB_KEY_ = '';
// const String DB_KEY_ = '';

///Notification messages
const String NOTIF_NEW_MESSAGE = 'You have new message';
const String NOTIF_AN_IMAGE = 'An image';

//Reaction message
const REACTION_MESSAGE_LIKE = 1;
const REACTION_MESSAGE_FAVORITE = 2;
const REACTION_MESSAGE_HAPPY = 3;
const REACTION_MESSAGE_SAD = 4;
const REACTION_MESSAGE_CHECK = 5;
const REACTION_MESSAGE_LOTTIE = 6;

//Message type special
const MS_NORMAL = 'normal';
const MS_AUTO_DESTROY_ANY_CASE = 'autodestroyanycase';
const MS_AUTO_DESTROY_AFTER_READ = 'autodestroyafterread';
const MS_AUTO_DESTROY_AFTER_TIME_NOT_READ = 'autodestroyaftertime';
const MS_SCHEDULE_SENT = 'scheduleSent';

final List<Map<String, dynamic>> REACTION_MESSAGES = [
  {
    'icon': 'like',
    'value': REACTION_MESSAGE_LIKE,
    'color': hexColor('#3E59FD')
  },
  {
    'icon': 'favorite',
    'value': REACTION_MESSAGE_FAVORITE,
    'color': hexColor('#FF3088')
  },
  {
    'icon': 'happy',
    'value': REACTION_MESSAGE_HAPPY,
    'color': hexColor('#FF2AD1')
  },
  {'icon': 'sad', 'value': REACTION_MESSAGE_SAD, 'color': hexColor('#FF9600')},
  {
    'icon': 'check',
    'value': REACTION_MESSAGE_CHECK,
    'color': hexColor('#00EE7B')
  },
  {'icon': 'QuickReaction', 'value': REACTION_MESSAGE_LOTTIE, 'isLottie': true},
];

///Themes
const String THEME_DARK = "dark";
const String THEME_LIGHT = "light";
const String THEME_GLASS = "glass";

///User type (user or pro)
const String USER_TYPE_USER = "user";
const String USER_TYPE_PRO = "pro";

/// CARD SHAKE - EVENT
const EVENT_START_PREFIX_PATH = 'oowoo-';
const EVENT_END_PREFIX_PATH = '-oowoo';

///Seller status
const int SELLER_STATUS_WAIT_REAL_EMAIL = 1;
const int SELLER_STATUS_WAIT_PASSPORT = 2;
const int SELLER_STATUS_WAIT_SELFIE = 3;
const int SELLER_STATUS_WAIT_REQUEST = 4;
const int SELLER_STATUS_WAIT_APPROVE = 5;
const int SELLER_STATUS_IS_SELLER = 6;
const int SELLER_STATUS_IS_REJECTED = 7;
const int SELLER_STATUS_IS_REVOKED = 8;
const int SELLER_STATUS_HAS_QUIT_TMP = 9;
const int SELLER_STATUS_HAS_QUIT_FOREVER = 10;

///Allowed features
const String FEATURE_SEARCH_ICON = 'searchIcon';
const String FEATURE_SERVICES_MENU = 'servicesMenu';
const String FEATURE_EVENTS_MENU = 'eventsMenu';
const String FEATURE_BARS_MENU = 'barsMenu';
const String FEATURE_HOME_MENU = 'homeMenu';
const String FEATURE_EMERGENCEY_MENU = 'emergencyMenu';
const String FEATURE_SELLER_ZONE = 'sellerZone';

/// MESSAGE API ///
const String MESSAGE_API_EXISTING_USER_EMAIL = 'existingUserEmail';
const String MESSAGE_API_EXISTING_PRO_EMAIL = 'existingProEmail';

/// NOTIFICATION VIDEO CALL
///
const N_DATA_TYPE = "notifType";
const NV_STATUS_INCOMING_CALL = "incomingCall";
const NV_STATUS_CANCEL_CALL = "cancelledCall";

///
/// DATABASE FIELDS FOR Notifications COLLECTION
///
const N_SENDER_ID = "n_sender_id";
const N_SENDER_TYPE = "n_sender_type";
const N_SENDER_FULLNAME = "n_sender_fullname";
const N_SENDER_PHOTO_LINK = "n_sender_photo_link";
const N_RECEIVER_ID = "n_receiver_id";
const N_TYPE = "n_type";
const N_TYPE_SUB = "n_type_sub";
const N_ICON = "n_icon";
const N_MESSAGE = "n_message";
const N_READ = "n_read";
const N_DATA = "n_data";
const N_CONVERSATION_TYPE = "n_conversation_type";
const N_CONVERSATION_ID = "n_conversation_id";

const N_TYPE_BR_INVITE = "oobrInviter";
const N_TYPE_BR_UPDATE_INVITE_STATUS = "updateInviterStatus";
const N_TYPE_BR_UPDATE_INVITE_INFO = "updateInvitationInfo";
const N_TYPE_SELLER = "seller";
const N_TYPE_ADD_CONTACT = "addUserInContactsList";
const N_TYPE_TIMEOUT_PAYMENT = "timeOutDelayToPayment";
const N_TYPE_TIMEOUT_CONFIRM = "timeOutDelayToConfirm";
const N_TYPE_DELAY = "delay";
const N_TYPE_CARRIER = "assignCarrier";
const N_TYPE_TICKET_START = "startTicket";
const N_TYPE_CHAT = "chat";
const N_TYPE_CALL = "call";
const N_TYPE_CALL_END = "call_end";
const N_TYPE_QRCODE = 'qrCode';
const N_TYPE_TICKET = "ticket";
const N_TYPE_VIDEO_CALL = 'videoCall';
const N_TYPE_VIDEO_CALL_USER_FROM_PRO = 'notifvideoCallUserFromPro';
const N_TYPE_VIDEO_CALL_PRO_FROM_USER = 'notifvideoCallProFromUser';
const N_TYPE_HOMELIDO = 'homelido';

const T_USER_NOT_PAID = -52;

const T_USER_NOT_CONFIRM = -42;
const T_PRO_NOT_CONFIRM = -40;

const T_PRO_NOT_REACHABLE_AFTER_CALLBACK = -33;
const T_USER_CALLBACK_SHORT = -32;
const T_USER_NOT_COMING = -30;
const T_WAIT_FOR_USER_CALLBACK = 40;
const T_USER_NOT_CALLBACK = -31;

const T_REFUSED_BY_USER = -23;
const T_REFUSED_BY_PRO = -21;

const T_CANCELED_BY_USER = -12;
const T_CANCELED_BY_PRO = -11;

const T_WAIT_FOR_PRO_CONFIRMATION = 10;
const T_WAIT_FOR_USER_CONFIRMATION = 12;
const T_CONFIRMED_BY_PRO = 11;
const T_CONFIRMED_BY_USER = 13;

const T_WAIT_FOR_USER_PAYMENT = 22;
const T_PURCHASED_BY_USER = 23;

const T_WAIT_FOR_USER_CONFIRMATION_PAYMENT = 302;
const T_WAIT_FOR_USER_PAYMENT_AFTER_CONFIRM = 312;
const T_CONFIRMED_PURCHASED_BY_USER = 33;

const T_STARTED = 1;
const T_STOPPED = 2;

///REFUSE OR CONFIRM APPOINTMENT
const T_RESULT_REFUSED = 0;
const T_RESULT_CONFIRMED = 1;

///Prefix qr
const QR_PREFIX1 = 'oowoo-';
const QR_PREFIX2 = 'homelido-';
const QR_PREFIX3 = 'oowooGoToService-';

const List<String> QR_PREFIXS = [QR_PREFIX1, QR_PREFIX2, QR_PREFIX3];

///Search index tab
const SEARCH_TAB_SERVICES = 0;
const SEARCH_TAB_BARS = 1;
const SEARCH_TAB_EVENTS = 2;
const SEARCH_TAB_HOMES = 3;
const SEARCH_TAB_EMERGENCY = 4;

//Assistant type
const ASSISTANT_TYPE_REMINDER = 'reminder';
const ASSISTANT_TYPE_MISSED_CALL = 'missedcall';

///Chip home
///
const defaultAllChipId = '-1';
const defaultAllChipText = 'all';
const prefixCardChipId = 'oowoo-';

/// CARD TYPE
///
const CT_ERROR = 0;
const CT_LOCAL = -1;
const CT_WHAT_NEXT = -2;
const CT_SHAKE_TO_CREATE = -2;
const CT_DAY_EMPTY = -3;

const CT_CALENDAR_NOT_DELETABLE = 999;
const CT_CALENDAR_DELETABLE = 99;
const CT_VIDEO_CALL = 1;
const CT_APPOINTMENT_LINK_PLACE = 2;
const CT_APPOINTMENT_NOT_LINK_PLACE = 3;
const CT_APPOINTMENT_WITH_HOME_VISIT = 4;
const CT_QUEUE_LINKED_PLACE = 5;
const CT_QUEUE_NOT_LINKED_PLACE = 6;
const CT_PURCHASES_ITEM = 50;
const CT_PURCHASES_MULTI_ITEM = 51;
const CT_PERSONAL_EVENT = 20;
const CT_SELLER_MISSION = 500;
const CT_HOMELIDO_MEETING = 210;
const CT_SPORT_PROGRAM = 300;
const CT_CALM = 800;

const List<int> CT_VALUES = [
  CT_CALENDAR_NOT_DELETABLE,
  CT_CALENDAR_DELETABLE,
  CT_VIDEO_CALL,
  CT_APPOINTMENT_LINK_PLACE,
  CT_APPOINTMENT_NOT_LINK_PLACE,
  CT_APPOINTMENT_WITH_HOME_VISIT,
  CT_QUEUE_LINKED_PLACE,
  CT_QUEUE_NOT_LINKED_PLACE,
  CT_PURCHASES_ITEM,
  CT_PURCHASES_MULTI_ITEM,
  CT_PERSONAL_EVENT,
  CT_SELLER_MISSION,
  CT_HOMELIDO_MEETING,
  CT_SPORT_PROGRAM,
  CT_CALM,
];

// Card type from qr
const QR_BAR_MENU = 110;
const QR_BUY = 50;
const QR_SIMPLE_MESSAGE = 51;
const QR_SNAP_MESSAGE = 52;
const QR_VIDEO_LANDSCAPE = 53;
const QR_VIDEO_PORTRAIT = 54;
const QR_PROGRAM_CARDS = 55;
const QR_HOMELIDO = 200;
const QR_PRO_SERVICES = 100;
const QR_SERVICE = 2;
const QR_SPORT_PROGRAM = 300;

///Homelido meeting
const HOMELIDO_MEETING_STATUS_WAITING = 0;
const HOMELIDO_MEETING_STATUS_DECLINED = -1;
const HOMELIDO_MEETING_STATUS_ACCEPTED = 1;
const HOMELIDO_MEETING_STATUS_CANCELED_BY_PRO = -2;
const HOMELIDO_MEETING_STATUS_CANCELED_BY_USER = -3;

/// DATABASE SHARED FIELDS FOR COLLECTION
///
const String TIMESTAMP = "timestamp";
const String DATE = "date";
const String FCM_DEVICE_TOKEN = "fcmDeviceToken";

///Setting tracking location
const int TRACKING_MANUAL_STATUS_AUTO = 2;
const int TRACKING_MANUAL_STATUS_STOP = 0;
const int TRACKING_MANUAL_STATUS_ACTIVE = 1;

///Emergency
const String EMERGENCY_POLICE_ID = 'b5c689d9-39dd-11ec-a819-005056434b40';
const String EMERGENCY_AMBULANCE_ID = 'ac7294ba-39dd-11ec-a819-005056434b40';
const String EMERGENCY_FIREMAN_ID = 'c042ea01-39dd-11ec-a819-005056434b40';

///Bar & Restaurant
List<BrPlaceCateModel> BR_PLACE_CATES = [
  BrPlaceCateModel(
      id: '89efc7b2-40b0-11ec-a819-005056434b40',
      catName: 'bars',
      type: 'bar',
      colorCode: '#A41BFA',
      colorCode2: null,
      catThumbnail: null),
  BrPlaceCateModel(
      id: 'f2518304-40b1-11ec-a819-005056434b40',
      catName: 'restaurants',
      type: 'restaurant',
      colorCode: '#F0862B',
      colorCode2: null,
      catThumbnail: null)
];
List<BrPlaceFilterModel> BR_PLACE_FILTERS = [
  BrPlaceFilterModel(
    id: '7f75fff4-415d-11ec-a819-005056434b40',
    name: 'wifi',
    display: '',
    icon: 'assets/images/svg/br_filters/wifi.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: '84e88a5b-415d-11ec-a819-005056434b40',
    name: 'plug',
    display: '',
    icon: 'assets/images/svg/br_filters/plug.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: '8a6ca19f-415d-11ec-a819-005056434b40',
    name: 'work',
    display: '',
    icon: 'assets/images/svg/br_filters/work.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb225f-40ad-11ec-a819-005056434b40',
    name: 'quiet',
    display: '',
    icon: 'assets/images/svg/br_filters/quiet.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb22d4-40ad-11ec-a819-005056434b40',
    name: 'groupTable',
    display: '',
    icon: 'assets/images/svg/br_filters/groupTable.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb233f-40ad-11ec-a819-005056434b40',
    name: 'coffee',
    display: '',
    icon: 'assets/images/svg/br_filters/coffee.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb23d6-40ad-11ec-a819-005056434b40',
    name: 'food',
    display: '',
    icon: 'assets/images/svg/br_filters/food.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb24ee-40ad-11ec-a819-005056434b40',
    name: 'veggie',
    display: '',
    icon: 'assets/images/svg/br_filters/veggie.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb2590-40ad-11ec-a819-005056434b40',
    name: 'creditCard',
    display: '',
    icon: 'assets/images/svg/br_filters/card.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb2620-40ad-11ec-a819-005056434b40',
    name: 'terrace',
    display: '',
    icon: 'assets/images/svg/br_filters/terrace.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb26ac-40ad-11ec-a819-005056434b40',
    name: 'naturalLight',
    display: '',
    icon: 'assets/images/svg/br_filters/naturalLight.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb2732-40ad-11ec-a819-005056434b40',
    name: 'roomSize',
    display: '',
    icon: 'assets/images/svg/br_filters/roomSize.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb279b-40ad-11ec-a819-005056434b40',
    name: 'toilets',
    display: '',
    icon: 'assets/images/svg/br_filters/toilet.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb27fe-40ad-11ec-a819-005056434b40',
    name: 'wheelChairFriendly',
    display: '',
    icon: 'assets/images/svg/br_filters/wheelchair.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb2865-40ad-11ec-a819-005056434b40',
    name: 'airConditioned',
    display: '',
    icon: 'assets/images/svg/br_filters/airConditioning.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb295f-40ad-11ec-a819-005056434b40',
    name: 'SmokeArea',
    display: '',
    icon: 'assets/images/svg/br_filters/smoke.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb29d5-40ad-11ec-a819-005056434b40',
    name: 'petFriendly',
    display: '',
    icon: 'assets/images/svg/br_filters/pets.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb2a6d-40ad-11ec-a819-005056434b40',
    name: 'easyParkingAround',
    display: '',
    icon: 'assets/images/svg/br_filters/parking.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb2b10-40ad-11ec-a819-005056434b40',
    name: 'noisyDuringTheDay',
    display: '',
    icon: 'assets/images/svg/br_filters/noisyDuringTheDay.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb2cb7-40ad-11ec-a819-005056434b40',
    name: 'noisyDuringTheEvening',
    display: '',
    icon: 'assets/images/svg/br_filters/noisyDuringTheNight.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb33b6-40ad-11ec-a819-005056434b40',
    name: 'dating',
    display: '',
    icon: 'assets/images/svg/br_filters/dating.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb3461-40ad-11ec-a819-005056434b40',
    name: 'bossIsThere',
    display: '',
    icon: 'assets/images/svg/br_filters/boss.svg',
    is3Values: 0,
  ),
  BrPlaceFilterModel(
    id: 'd9eb34c5-40ad-11ec-a819-005056434b40',
    name: 'cosyPlace',
    display: '',
    icon: 'assets/images/svg/br_filters/cosy.svg',
    is3Values: 0,
  ),
];
