import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class WidgetLoadingCupertino extends StatelessWidget {
  final double? size;
  const WidgetLoadingCupertino({Key? key, this.size}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Center(
        child: SizedBox(
      height: size ?? 12,
      width: size ?? 12,
      child: const CupertinoActivityIndicator(
        radius: 11,
        color: Colors.white,
      ),
    ));
  }
}
